io.vertx.ext.unit.junit

## Class VertxUnitRunner

- java.lang.Object
- - BlockJUnit4ClassRunner
  - - io.vertx.ext.unit.junit.VertxUnitRunner

- Direct Known Subclasses:
    VertxUnitRunnerWithParameters

      public class VertxUnitRunner
      extends BlockJUnit4ClassRunner

  A JUnit runner for writing asynchronous tests.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxUnitRunner(Class<?> klass)`
    `VertxUnitRunner(Class<?> klass, Long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `invokeTestMethod(FrameworkMethod fMethod, Object test, TestContext context)`
    `protected Statement` | `methodInvoker(FrameworkMethod method, Object test)`
    `protected void` | `validatePublicVoidNoArgMethods(Class<? extends Annotation> annotation, boolean isStatic, List<Throwable> errors)`
    `protected void` | `validateTestMethod(FrameworkMethod fMethod)`
    `protected Statement` | `withAfterClasses(Statement statement)`
    `protected Statement` | `withAfters(FrameworkMethod method, Object target, Statement statement)`
    `protected Statement` | `withBeforeClasses(Statement statement)`
    `protected Statement` | `withBefores(FrameworkMethod method, Object target, Statement statement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxUnitRunner

          public VertxUnitRunner(Class<?> klass)
                          throws InitializationError

      Throws:
        `InitializationError`

    - #### VertxUnitRunner

          public VertxUnitRunner(Class<?> klass,
                                 Long timeout)
                          throws InitializationError

      Throws:
        `InitializationError`

  - ### Method Detail

    - #### validatePublicVoidNoArgMethods

          protected void validatePublicVoidNoArgMethods(Class<? extends Annotation> annotation,
                                                        boolean isStatic,
                                                        List<Throwable> errors)

    - #### validateTestMethod

          protected void validateTestMethod(FrameworkMethod fMethod)
                                     throws Exception

      Throws:
        `Exception`

    - #### methodInvoker

          protected Statement methodInvoker(FrameworkMethod method,
                                            Object test)

    - #### invokeTestMethod

          protected void invokeTestMethod(FrameworkMethod fMethod,
                                          Object test,
                                          TestContext context)
                                   throws InvocationTargetException,
                                          IllegalAccessException

      Throws:
        `InvocationTargetException`
        `IllegalAccessException`

    - #### withBefores

          protected Statement withBefores(FrameworkMethod method,
                                          Object target,
                                          Statement statement)

    - #### withAfters

          protected Statement withAfters(FrameworkMethod method,
                                         Object target,
                                         Statement statement)

    - #### withBeforeClasses

          protected Statement withBeforeClasses(Statement statement)

    - #### withAfterClasses

          protected Statement withAfterClasses(Statement statement)

Copyright © 2015. All Rights Reserved.